%global pkg undo-tree
%global pkgname "Undo Tree"

Name:		emacs-%{pkg}
Version:	0.5.3
Release:	6%{?dist}
Summary:	Treats undo history as a tree of changes

License:	GPLv3+
URL:		http://www.dr-qubit.org/emacs.php#%{pkg}
Source0:	http://www.dr-qubit.org/download.php?file=%{pkg}/%{pkg}-%{version}.el

BuildArch:	noarch
BuildRequires:	emacs
Requires:	emacs(bin) >= %{_emacs_version}

%description
The undo-tree-mode provided by this package replaces Emacs' undo system with a
system that treats undo history as what it is: a branching tree of changes. This
simple idea allows the more intuitive behavior of the standard undo/redo system
to be combined with the power of never losing any history. An added side bonus
is that undo history can in some cases be stored more efficiently, allowing more
changes to accumulate before Emacs starts discarding history.

You don't have to imagine the undo tree, because undo-tree-mode includes an
undo-tree visualizer which draws it for you, and lets you browse around the undo
history.


%prep
cp -p %SOURCE0 .


%build
%{_emacs_bytecompile} %{pkg}-%{version}.el


%install
mkdir -p $RPM_BUILD_ROOT%{_emacs_sitelispdir}/%{pkg}
cp -p *.el *.elc $RPM_BUILD_ROOT%{_emacs_sitelispdir}/%{pkg}


%files
%{_emacs_sitelispdir}/%{pkg}



%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 25 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 0.5.3-2
- Fixed spelling

* Sat Aug 04 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 0.5.3-1
- Initial spec file

